import Vue from 'vue'
import App from './App.vue'
import router from './router'
import axios from 'axios'
import 'viewerjs/dist/viewer.css'
import Viewer from 'v-viewer'
// 图片懒加载
import VueLazyLoad from 'vue-lazyload'
Vue.use(VueLazyLoad, {
  error: require('@/assets/images/IMGerror.png'),
  loading: require('@/assets/images/loading.gif')
})

Vue.config.productionTip = false
Vue.prototype.$http = axios

Vue.use(Viewer)

import './assets/base.css'
new Vue({
  router,
  render: h => h(App)
}).$mount('#app')
